Subject: Versatile Express randomly fails to boot - Versatile Express to be removed from nightly testing

From: [email-masked] (Jon Medhurst (Tixy))
Date: Wed, 15 Jun 2016 10:50:57 +0100

On Wed, 2016-06-15 at 10:32 +0100, Sudeep Holla wrote:
> > That didn't fix things, but I noticed this morning there are PL310
> > errata workarounds too that we should have enabled:
> >
> > PL310_ERRATA_769419
> > PL310_ERRATA_727915
> > PL310_ERRATA_588369
> >
> 
> I had all the above enabled in my config which doesn't help either.

Thanks for letting me know, that's saved me from a tedious morning of
testing. Though did you also have the A9 errata enabled?

BTW, I noticed the PL310 Cache ID reports RTL version 3, which doesn't
appear in the list of versions in cache-l2x0.h and doesn't match the TRM
shipped on the vexpress CD, which is for version 2 (r1p0).

Anyway, I'll test various Linux versions with the L2 cache removed from
device-tree to see if that reliably fixes things.

-- 
Tixy